# std::_Build_index_tuple< _Num > Struct Template Reference

Builds an _Index_tuple<0, 1, 2, ..., _Num-1>. More...

List of all members.

## Public Types

- typedef _Build_index_tuple
  < _Num-1 >::__type::__next __type

## Detailed Description

### template<std::size_t _Num>
struct std::_Build_index_tuple< _Num >

Builds an _Index_tuple<0, 1, 2, ..., _Num-1>.

Definition at line 872 of file functional.

The documentation for this struct was generated from the following file:

- functional